[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# GetKeyEventUniCode

Return the Unicode key event.

## Declaration

Source position: keybrdh.inc line 175

`function GetKeyEventUniCode(`
`KeyEvent: TKeyEvent`
`):Word;`

## Description

GetKeyEventUniCode returns the Unicode part of the given KeyEvent if it contains a translated Unicode character.

## Errors

None.

## See also

GetKeyEventShiftState |  | Return the current state of the shift keys.
GetKeyEventFlags |  | Extract the flags from a key event.
GetKeyEventCode |  | Translate function key part of a key event code.
GetKeyEventChar |  | Get the character key part of a key event.
GetKeyEvent |  | Get the next raw key event, wait if needed.